summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2014-08-03 18:02:13 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2014-08-03 18:02:13 +0100
commit287a7f0fc2a71b5e4df36e9f1ecf9b05d0212a85 (patch)
treeeffb5132bfd6a132c6c68f2f59ca07b9cb195c54
parent0efc9955c6c355f5dd6e98c8097bd3938beb49d1 (diff)
Test mismatch during push
-rwxr-xr-xtests/tests/push-newpackage11
-rw-r--r--tests/worktrees/pari-extra_3-1.tarbin71680 -> 92160 bytes
2 files changed, 11 insertions, 0 deletions
diff --git a/tests/tests/push-newpackage b/tests/tests/push-newpackage
index eea5685..030507f 100755
--- a/tests/tests/push-newpackage
+++ b/tests/tests/push-newpackage
@@ -18,6 +18,17 @@ LANG=C t-dgit push 2>&1 \
| grep 'package appears to be new in this suite' >/dev/null
t-dgit build
+
+git checkout bogus
+
+set +e
+(set -e; t-dgit push --new)
+rc=$?
+set -e
+if [ $rc = 0 ]; then fail "push succeeded when tree mismatch"; fi
+
+git checkout master
+
t-dgit push --new
t-pushed-good master
diff --git a/tests/worktrees/pari-extra_3-1.tar b/tests/worktrees/pari-extra_3-1.tar
index 115a795..81a6a54 100644
--- a/tests/worktrees/pari-extra_3-1.tar
+++ b/tests/worktrees/pari-extra_3-1.tar
Binary files differ